#include <SFML/Graphics.hpp>
#include <vector>

struct MenuPoint {
	bool active;
	std::string menuName;
	MenuPoint(std::string mn) : active(false), menuName(mn) { };
};

class Menu 
{
	private:
		sf::Text *text;
		sf::Font *font;
		std::vector<MenuPoint> menuPoints;
		int activeIndex;
		int menuPointCounter;
	public:
		Menu(sf::Font &font);
		void addPoint(std::string name);
		void setActive(int index);
		int getActiveIndex();
		void setNextActive();
		void setPreviousActive();
		bool selectMenuPoint(sf::Vector2i &mouse);
		void drawMenu(sf::RenderWindow &window);
};